XtGrabKeyboard(3Xm)

NAME
XtGrabKeyboard — a function that actively grabs control of the main keyboard.

SYNOPSIS
#include <X11/PassivGrab.h>

int XtGrabKeyboard (widget, owner_events, pointer_mode, keyboard_mode, time)
    Widget    widget;
    Boolean    owner_events;
    int    pointer_mode;
    int    keyboard_mode;
    Time    time;

DESCRIPTION
XtGrabKeyboard actively grabs control of the main keyboard. If the grab is successful, it returns the constant GrabSuccess. Further key events are reported to the grab widget.

widget
    Specifies the root widget to the XtGrabKeyboard call. All key events that would have been dispatched to other subwindows will get dispatched to it subject to owner_events.

owner_events
    Specifies if the pointer events are to be reported normally (pass True) or with respect to the grab window if selected by the event mask (pass False).

pointer_mode
    Specifies further processing of pointer events. You can pass GrabModeSync or GrabModeAsync.

keyboard_mode
    Specifies further processing of keyboard events. You can pass GrabModeSync or GrabModeAsync.

time
    Specifies the time. You can pass either a timestamp, expressed in milliseconds, or CurrentTime.

RETURN VALUE
Returns the constant GrabSuccess.

RELATED INFORMATION
XtUngrabKeyboard(3Xm).